> For a complete page index, fetch https://docs.synthflow.ai/llms.txt. For full documentation content, fetch https://docs.synthflow.ai/llms-full.txt.

# Get a simulation session

GET https://api.synthflow.ai/v2/simulations/session/{simulation_session_id}

Retrieve simulation session details by ID.

Reference: https://docs.synthflow.ai/api-reference/platform-api/simulations/get-simulation-session

## Authentication

- `Authorization` header (bearer token, required)

## Servers

- `https://api.synthflow.ai/v2` (Global, default)
- `https://api.us.synthflow.ai/v2` (United States)
- `https://api.eu.synthflow.ai/v2` (European Union)

## Request

### Path parameters

- `simulation_session_id` (string, required) — Simulation session ID.

## Response

### 200

200

- `status` (string, optional) — Whether the request was successful.
- `response` (object, optional) — Simulation session summary.
  - `simulation_session_id` (string, optional)
  - `simulations` (list of object, optional)
    - `simulation_id` (string, optional)
    - `simulation_session_id` (string, optional)
    - `simulation_case_id` (string, optional)
    - `simulation_case_name` (string, optional, nullable)
    - `simulation_case_prompt` (string, optional, nullable)
    - `success_criteria` (list of string, optional, nullable)
    - `call_success_type` (enum, optional, nullable)
      - Allowed values: `all`, `any`
    - `persona_agent_id` (string, optional, nullable)
    - `persona_phone_number` (string, optional, nullable)
    - `target_agent_id` (string, optional)
    - `agent_name` (string, optional, nullable)
    - `agent_avatar_url` (string, optional, nullable)
    - `target_phone_number` (string, optional, nullable)
    - `target_call_id` (string, optional, nullable)
    - `custom_variables` (map from string to any, optional, nullable)
    - `status` (enum, optional)
      - Allowed values: `in-progress`, `completed`, `failed`
    - `workspace_id` (string, optional)
    - `created_at` (datetime, optional)
    - `updated_at` (datetime, optional)
    - `error_info` (object, optional, nullable) — Error information for failed simulations.
      - `message` (string, required)
      - `code` (integer, required)
      - `type` (string, required)
    - `recording_url` (string, optional, nullable)
    - `timeline` (list of object, optional, nullable)
      - `sender_type` (string, optional, nullable)
      - `value` (string, optional, nullable)
      - `type` (string, optional, nullable)
      - `timestamp_datetime` (datetime, optional, nullable)
      - `timestamp` (float, optional, nullable)
    - `success_criteria_analysis` (object, optional, nullable) — Summary of the success criteria evaluation results.
      - `success` (boolean, required)
      - `evaluations` (list of object, required)
        - `success` (boolean, required)
        - `reasoning` (string, required)
  - `total_simulations` (integer, optional)
  - `completed_simulations` (integer, optional)
  - `failed_simulations` (integer, optional)
  - `pending_simulations` (integer, optional)

## Examples

**Response**

```json
{
  "status": "ok",
  "response": {
    "simulation_session_id": "string",
    "simulations": [
      {
        "simulation_id": "string",
        "simulation_session_id": "string",
        "simulation_case_id": "string",
        "simulation_case_name": "string",
        "simulation_case_prompt": "string",
        "success_criteria": [
          "string"
        ],
        "call_success_type": "all",
        "persona_agent_id": "string",
        "persona_phone_number": "string",
        "target_agent_id": "string",
        "agent_name": "string",
        "agent_avatar_url": "string",
        "target_phone_number": "string",
        "target_call_id": "string",
        "custom_variables": {},
        "status": "in-progress",
        "workspace_id": "string",
        "created_at": "2024-01-15T09:30:00Z",
        "updated_at": "2024-01-15T09:30:00Z",
        "error_info": {
          "message": "string",
          "code": 1,
          "type": "string"
        },
        "recording_url": "string",
        "timeline": [
          {
            "sender_type": "string",
            "value": "string",
            "type": "string",
            "timestamp_datetime": "2024-01-15T09:30:00Z",
            "timestamp": 1.1
          }
        ],
        "success_criteria_analysis": {
          "success": true,
          "evaluations": [
            {
              "success": true,
              "reasoning": "string"
            }
          ]
        }
      }
    ],
    "total_simulations": 1,
    "completed_simulations": 1,
    "failed_simulations": 1,
    "pending_simulations": 1
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.synthflow.ai/v2/simulations/session/simulation_session_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/simulations/session/simulation_session_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/simulations/session/simulation_session_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.synthflow.ai/v2/simulations/session/simulation_session_id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/simulations/session/simulation_session_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/simulations/session/simulation_session_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```